
package com.inteligr8.alfresco.activiti.model;

import java.util.LinkedList;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResultList<T> {
    
    @JsonProperty("size")
    private Integer size;
    @JsonProperty("total")
    private Integer total;
    @JsonProperty("start")
    private Integer start;
    @JsonProperty("data")
    private List<T> data = new LinkedList<T>();
    
    public Integer getSize() {
		return size;
	}
    
    public void setSize(Integer size) {
		this.size = size;
	}
    
    public Integer getTotal() {
		return total;
	}
    
    public void setTotal(Integer total) {
		this.total = total;
	}

    public Integer getStart() {
		return start;
	}
    
    public void setStart(Integer start) {
		this.start = start;
	}
    
    public List<T> getData() {
		return data;
	}
    
    public void setData(List<T> data) {
		this.data = data;
	}

}
